# Uses of Class
org.opensaml.security.criteria.KeyNameCriterion

Packages that use KeyNameCriterion
Package
Description
org.opensaml.security.credential.criteria.impl
Implementations of `Criterion` where the parameterized evaluation target type is `Credential`.

## Uses of KeyNameCriterion in org.opensaml.security.credential.criteria.impl

Constructors in org.opensaml.security.credential.criteria.impl with parameters of type KeyNameCriterion
Modifier
Constructor
Description
``
`EvaluableKeyNameCredentialCriterion(KeyNameCriterion criteria)`
Constructor.